# Apple AI Interview Questions — Acing the AI Interview



![](https://cdn-images-1.medium.com/max/1600/1*845gTpRaofJpy5iR9hqrTw.jpeg)

Apple’s dominance in the consumer technology devices space is in a league of its own. Hiring [John Giannandrea](https://www.nytimes.com/2018/04/03/business/apple-hires-googles-ai-chief.html?utm_source=Memberful&utm_campaign=b99a7d9067-daily_update_2018_04_12&utm_medium=email&utm_term=0_d4c7fece27-b99a7d9067-111013209) is a step in the right direction for AI at Apple.


 Acing AI, the aim is to help you to get into Data Science and AI. I have profiled some of the [best technology companies](https://medium.com/acing-ai/acing-ai-interviews/home) and written articles about AI interviews at [Microsoft](https://medium.com/acing-ai/microsoft-ai-interview-questions-acing-the-ai-interview-be6972f790ea), [Google](https://medium.com/acing-ai/google-ai-interview-questions-acing-the-ai-interview-1791ad7dc3ae), [Amazon](https://medium.com/acing-ai/amazon-ai-interview-questions-acing-the-ai-interview-3ed4e671920f), [LinkedIn](https://medium.com/acing-ai/linkedin-ai-interview-questions-acing-the-ai-interview-41028c4b0704), [Ebay](https://medium.com/acing-ai/ebay-data-science-interview-questions-acing-the-ai-interview-4f18b58fcc07), [Twitter](https://medium.com/acing-ai/twitter-data-science-interview-questions-acing-the-ai-interview-f8204a97159f), [Walmart](https://medium.com/acing-ai/walmart-data-science-interview-questions-acing-the-ai-interview-a775b264b015), [Apple](https://medium.com/acing-ai/apple-ai-interview-questions-acing-the-ai-interview-803a65b0e795), [Facebook](https://medium.com/acing-ai/facebook-ai-interview-questions-acing-the-ai-interview-5982add0af55), [Zillow](https://medium.com/acing-ai/zillow-data-science-interview-questions-acing-the-ai-interview-eb42f0707c8), [Salesforce](https://medium.com/acing-ai/salesforce-ai-interview-questions-acing-the-ai-interview-75e177c4734), [Uber](https://medium.com/acing-ai/uber-ai-interview-questions-acing-the-ai-interview-9532794bc057), [Intel](https://medium.com/acing-ai/intel-ai-interview-questions-acing-the-ai-interview-d4a62dbb593c), [Adobe](https://medium.com/acing-ai/adobe-ai-interview-questions-acing-the-ai-interview-ef7a8099110b) [Tesla](https://medium.com/acing-ai/tesla-ai-interview-questions-acing-the-ai-interview-88b2e94ccbbf) and most recently [IBM](https://medium.com/acing-ai/ibm-artificial-intelligence-interview-questions-57ce1de3f6cf). This has led to being the [top writer](https://medium.com/@vimarshk) in Artificial Intelligence on Medium. The AI interview preparation guides [Part 1](https://medium.com/acing-ai/steps-to-ace-the-ai-interview-part-1-298249080e59), [Part 2](https://medium.com/acing-ai/steps-to-ace-the-ai-interview-part-2-b25f91582f5f) go over the details which help you ace any AI interview. [Acing AI Portfolios](https://medium.com/acing-ai/acing-ai-portfolios/home) helps you to showcase your AI work. [Expert interviews and analyses](https://medium.com/acing-ai/expert-interviews/home) gives you a sneak peak into the lives of AI/Data Science Leaders and analyses of AI tech companies. Now onto the Apple AI Questions article…

Apple as an organization is hierarchically aligned as a functional organization. The organization is aligned around verticals or expertise. There are no dedicated alignments like iPhone, iPad or Watch. AI is included in software that sits on top of Apple Hardware. Which means, AI is a services play for Apple. According to their [earnings call in Q1 of 2018](https://seekingalpha.com/article/4142447-apples-aapl-ceo-tim-cook-q1-2018-results-earnings-call-transcript?part=single), their services revenue was up 18% over last year. The number of paid subscriptions across all their services offerings passed 240 million by the end of the December quarter. Hiring of [John](https://www.nytimes.com/2018/04/03/business/apple-hires-googles-ai-chief.html?utm_source=Memberful&utm_campaign=b99a7d9067-daily_update_2018_04_12&utm_medium=email&utm_term=0_d4c7fece27-b99a7d9067-111013209), who will directly report to Tim Cook, signifies how important AI is for Apple, predominantly for Siri and Apple Services.

> Interview Process

Apple has a typical interview process like most other companies who hire Engineers. It has the same phone screen followed by Onsite Interviews. Onsite there are about 4–5 interviews with team members. The process is also explained in this [Quora answer.](https://www.quora.com/What-is-the-recruiting-and-hiring-process-of-Apple-How-does-one-contact-their-HR-department)

> Important Reading Specific to Apple

1. How Apple personalized Siri invocation: [Personalized Hey Siri](https://machinelearning.apple.com/2018/04/16/personalized-hey-siri.html)

2. ML Journal(Blog by Apple Engineers for ML): [Machine Learning Journal](https://machinelearning.apple.com/)

3. Github Libraries(For Development of Custom ML Models): [Turi Create](https://github.com/apple/turicreate)

> AI/Data Science Related Questions

* How do you take millions of users with 100’s of transactions each, amongst 10k’s of products and group the users together in meaningful segments?

* We do pre-screening on the data to remove fraud threats — so how do we find a data sample that we can use to determine a real representation of fraud events?

* Given a table with 1B of user ID and product IDs that the users bought, and another table with product ID mapped with product name. We are trying to find the paired products that are often purchased together by the same user, such as wine and bottle opener, chips and beer. How to find the top 100 of these co-existed pairs of products?

* Describe for me in detail the difference between L1 and L2 regularization, specifically as regards the difference in their impact on the model training process itself.

* Suppose you have 100,000 files spread across multiple servers and you wanted to process all of them? How would you do that in Hadoop?

* What is the difference between Python and Scala?

* Explain LRU Cache.

* How would you design a client — server model where the client sends location data every minute?

* How would you transfer data from one Hadoop cluster to another?

* What are different types of memories in Java?

* How can you handle the daily tedious tasks that go hand in hand with processing metadata for hundreds of titles?

* In terms of data flow and accessibility, how do you measure success in a hidden time frame where the nucleus overloads the border structure of the over complicated file system that redirects computer energy to the cellar dome?

* If you could have one superpower, what would it be?

* You have time series of sensors, predict the next reading.

* Create market basket output using SQL.

* What is your experience with psychophysical experiments?(Research Portfolio based question)

* What is your expertise in characterization? What do you usually use that for? How did you use that in your research and find interesting results?(Research Portfolio based question)

* How do you deal with failure analysis?

* Check if a binary tree is a mirror image on left and right sub-trees.

* What is random forest? Why is Naive Bayes better?

If you find these questions useful, please share your thoughts in the comments below. Please clap on the article to signal me how much you like this article and if you would like me to write more of such articles.

> Reflecting on the Questions

Apple AI/DS Interviews have a lot of Hadoop related questions. Seems their data mining backend is built on Hadoop. Many questions are also based on historical research work and portfolio. This is different from the other companies we have looked at [previously](https://medium.com/acing-ai/acing-ai-interviews/home). Critical thinking and scenario based questions are abundant.

Consumable List: [20 Apple AI Interview Questions](https://medium.com/series/453bf5711765)

Subscribe to our Acing AI newsletter, I promise not to spam and its FREE!

[**Acing AI Newsletter — Revue**
Acing AI Newsletter — Weekly articles on how to get into Data Science and AI by helping with Interview Prep for Data…www.getrevue.co](https://www.getrevue.co/profile/acingai)[](https://www.getrevue.co/profile/acingai)

Thanks for reading! 😊 If you enjoyed it, test how many times can you hit 👏 in 5 seconds. It’s great cardio for your fingers AND will help other people see the story.

The sole motivation of this blog article is to learn about Apple and its AI technologies helping people to get into it. All data is sourced from public sources. I aim to make this a living document, so any updates and suggested changes can always be included. Please provide relevant feedback.

