# Self-driving cars are here

Dear friends,

Drive.ai will offer a self-driving car service for public use in Frisco, Texas starting in July, 2018.

Self-driving cars are no longer a futuristic AI technology. They’re here, and will soon make transportation cheaper and more convenient.

The team at Drive.ai has been working closely with local partners to ensure the deployment of our cars is safe and adds real value to its day-to-day users.

### The self-driving car roadmap

Providing a public self-driving car service depends on three key elements:

1. **Technology: Industry-leading AI and deep learning**

2. **Partnerships: Deployments through working with public and private partners**

3. **Safety: People-centric safety**

![](https://cdn-images-1.medium.com/max/1600/1*Rkd4uOPkU446v_QbcY-3lQ.jpeg)

### 1. Technology: Industry-leading AI and deep learning

Self-driving technology is still challenging. It requires highly skilled AI teams as well as sophisticated software and hardware architectures.

Drive.ai has always had a strong technical team; its founders include many AI graduate students from my group at Stanford University as well as Carol Reiley (my spouse). Comprised of deep learning natives, the team has designed a self-driving architecture using modern AI from the ground up.

Further, by developing the full software stack for self-driving in-house — -perception, motion planning, mapping, localization, fleet management software, mobile app, communications, our “tele-choice” remote assistance system, and more — the team is able to move quickly and resolve any dependencies between systems.

### 2. Partnerships: Deployments through local partnerships

Self-driving cars should be deployed in geofenced areas in partnership with governments and private parties to ensure safe, smooth operations that add value to its day-to-day users

As a skilled AI team, Drive.ai has a clear-eyed view of AI’s limitations. The team knows how to build realistic solutions within the current technology’s limitations.

For example, no self-driving team has a realistic roadmap to reliably interpret the hand gestures of a construction worker waving for a car to proceed; computer vision just isn’t good enough yet. Thus, we are partnering with governments and private parties to deploy in geofenced regions, where we can find other ways for construction workers to communicate with our fleet operations team.

Drive.ai is particularly grateful to Frisco’s Mayor Jeff Cheney, Frisco TMA, and NCTCOG’s Michael Morris for their partnership. Working together, our initial pilot will be a six month deployment on a driving route from HALL Park to an entertainment/retail area (The Star), with a planned expansion into Frisco Station.

![](https://cdn-images-1.medium.com/max/1600/1*QxO06whw--2p1V6teMljBw.png)

Deploying local on-demand shuttle routes benefits everyone. Office workers can grab lunch without having to drive and look for parking, and local business owners can attract more customers. A self-driving service will boost local commerce, reduce traffic jams, and lessen the need for parking lots. We also aim to unlock access to areas underserved by traditional mass transit and improve connectivity to existing transit lines. Thoughtful self-driving deployments can increase mass transit ridership and reduce individual car usage, thus driving down a city’s transportation costs.

### 3. Safety: People-centric safety

The industry must take a human-centered approach to safety — taking into account both people inside and outside the car — and emphasize communications and community education.

Whether a self-driving car is safe depends not only on the behavior of the car itself, but also on the behavior of the people around it. It is unwise to rely exclusively on AI technology to ensure safety. Instead, the self-driving industry also has to think about the people who will be outside the vehicle, which is why we will be undertaking community-wide education and training programs where we operate.

It is every self-driving company’s responsibility to ensure safety. We believe the self-driving car industry should adopt these practices:

* Self-driving cars should be made visually distinctive, so that people can quickly recognize them. Even with great AI technology, it is safer if everyone recognizes our cars. After examining multiple designs, we found that a bright orange design is clearly recognizable to pedestrians and drivers.

![](https://cdn-images-1.medium.com/max/1600/0*K5r1brxlttVdaURx.)

We deliberately prioritized recognizability over beauty, since it is recognizability that enhances safety.

![](https://cdn-images-1.medium.com/max/1200/1*ek5alYJZo6fod0BlBmxOCQ.png)

* While a human driver would make eye contact with a pedestrian to let them know it is safe to cross, a driverless car cannot communicate the same way. Thus, a self-driving car must have other ways to communicate with people around it. Drive.ai is using exterior panels to do this.

* Self-driving car companies should engage with local government to provide practical education programs. Just as school buses, delivery trucks, and emergency vehicles behave differently from regular cars, so too are self-driving cars a different class of vehicle with their own behaviors. It has unique strengths (such as no distracted driving) and limitations (such as inability to make eye contact or understand hand gestures). It’s important to increase the public’s awareness of self-driving through media, unique signage, and dedicated pickup and dropoff zones. We also ask members of the local community to be lawful in their use of public roads and to be considerate of self-driving cars so that we can improve transportation together.

### The steps toward driverless deployment

In the first phase, Drive.ai will deploy vehicles with safety drivers in Texas. We are also deploying our “tele-choice” technology to provide a high level of safety and ride comfort. For example, say our vehicle wants to execute a tricky maneuver at an intersection. If it determines that it needs human insight for an additional layer of safety, it will first pull to a stop, then seek input from a remote operator to proceed. Over time, our deep learning system learns from these cases and improves automatically. Unlike “remote driving,” where a tele-choice operator controls the car directly, our tele-choice system is designed to be robust to network latency and temporary network outages, taking into account even small edge cases like automatically invalidating stale data or requests lagging by 100 ms.

In the second phase, when road tests show it is safe to do so, Drive.ai will operate with “chaperones” (rather than safety drivers) alongside tele-choice operators. The chaperone will sit in a passenger seat and be available to assist passengers and monitor operations, but they will not be expected to take over in a split-second.

In the final phase, we will operate with only passengers in the vehicle, assisted remotely by tele-choice operators. One tele-choice operator will be able to monitor multiple vehicles, thus enabling more scalable deployments of self-driving.

![](https://cdn-images-1.medium.com/max/1600/0*5opwhfRGn0wraDLQ.)

### The future of self-driving

There is still much work to be done, but the future of self-driving is clear.

Self-driving cars have different strengths and weaknesses than human drivers. They are always attentive, have <100 ms reaction times, and have no blind spots. On the flip side, they don’t understand certain complex situations such as a construction worker communicating using hand gestures. By choosing geofenced regions and working with partners, we can take advantage of self-driving cars’ strengths while diminishing their weaknesses. With these strategies, the self-driving industry will be able to deploy safe and valuable transportation services.

I remember attending the DARPA Urban Challenge in 2007 and seeing the wonderful work of Stanford University, CMU, and many other pioneering self-driving teams. Our work builds on that rich legacy.

It is now over a decade later. I am thrilled that self-driving cars are finally here.

To learn more about Drive.ai’s work to advance self-driving, head to [drive.ai](https://www.drive.ai/).

Andrew Ng

